import 'package:fis_i18n/types.dart';

/// 通用模块
class CommonModule extends ModuleBase {
  CommonModule._({
    required this.appName,
    required this.versionNumber,
    required this.language,
    required this.refresh,
    required this.forward,
    required this.createTime,
    required this.status,
    required this.finish,
    required this.report,
    required this.search,
    required this.search4Btn,
    required this.open,
    required this.input,
    required this.fullName,
    required this.email,
    required this.mobileNumber,
    required this.loading,
    required this.and,
    required this.submitting,
    required this.underDevelopment,
    required this.tip,
    required this.confirm,
    required this.confirm4Btn,
    required this.submitted,
    required this.close,
    required this.alreadySaved,
    required this.add,
    required this.save,
    required this.save4Btn,
    required this.filter,
    required this.verificationCode,
    required this.cancel,
    required this.cancel4Btn,
    required this.image,
    required this.remove,
    required this.state,
    required this.all,
    required this.selected,
    required this.unDistributed,
    required this.back,
    required this.revoke,
    required this.pleaseSelect,
    required this.country,
    required this.province,
    required this.city,
    required this.operation,
    required this.removeNotification,
    required this.edit,
    required this.submit,
    required this.yes,
    required this.no,
    required this.noneDataTip,
    required this.delete,
    required this.modify,
    required this.platformDefault,
  });

  static const ModuleName = "common";

  factory CommonModule(Map<String, dynamic> map) {
    return CommonModule._(
      appName: map.pick("appName"),
      versionNumber: map.pick("versionNumber"),
      language: map.pick("language"),
      refresh: map.pick("refresh"),
      forward: map.pick("forward"),
      createTime: map.pick("createTime"),
      status: map.pick("status"),
      finish: map.pick("finish"),
      report: map.pick("report"),
      search: map.pick("search"),
      search4Btn: map.pick("search4Btn"),
      open: map.pick("open"),
      input: map.pick("input"),
      fullName: map.pick("fullName"),
      email: map.pick("email"),
      mobileNumber: map.pick("mobileNumber"),
      loading: map.pick("loading"),
      and: map.pick("and"),
      submitting: map.pick("submitting"),
      underDevelopment: map.pick("underDevelopment"),
      tip: map.pick("tip"),
      confirm: map.pick("confirm"),
      confirm4Btn: map.pick("confirm4Btn"),
      submitted: map.pick("submitted"),
      close: map.pick("close"),
      alreadySaved: map.pick("alreadySaved"),
      add: map.pick("add"),
      save: map.pick("save"),
      save4Btn: map.pick("save4Btn"),
      filter: map.pick("filter"),
      verificationCode: map.pick("verificationCode"),
      cancel: map.pick("cancel"),
      cancel4Btn: map.pick("cancel4Btn"),
      image: map.pick("image"),
      remove: map.pick("remove"),
      state: map.pick("state"),
      all: map.pick("all"),
      selected: map.pick("selected"),
      unDistributed: map.pick("unDistributed"),
      back: map.pick("back"),
      revoke: map.pick("revoke"),
      pleaseSelect: map.pick("pleaseSelect"),
      country: map.pick("country"),
      province: map.pick("province"),
      city: map.pick("city"),
      operation: map.pick("operation"),
      removeNotification: map.pick("removeNotification"),
      edit: map.pick("edit"),
      submit: map.pick("submit"),
      yes: map.pick("yes"),
      no: map.pick("no"),
      noneDataTip: map.pick("noneDataTip"),
      delete: map.pick("delete"),
      modify: map.pick("modify"),
      platformDefault: map.pick("platformDefault"),
    );
  }

  /// 杏聆荟
  final FTrStr appName;

  /// 版本号 : {0}
  final FTrStr versionNumber;

  /// 语言
  final FTrStr language;

  /// 刷新
  final FTrStr refresh;

  /// 转发
  final FTrStr forward;

  /// 创建时间
  final FTrStr createTime;

  /// 状态
  final FTrStr status;

  /// 完成
  final FTrStr finish;

  /// 报告
  final FTrStr report;

  /// 搜索
  final FTrStr search;

  /// 搜 索
  final FTrStr search4Btn;

  /// 打开
  final FTrStr open;

  /// 请输入{0}
  final FTrStr input;

  /// 姓名
  final FTrStr fullName;

  /// 邮箱
  final FTrStr email;

  /// 手机号
  final FTrStr mobileNumber;

  /// 加载中
  final FTrStr loading;

  /// 和
  final FTrStr and;

  /// 提交中...
  final FTrStr submitting;

  /// 待开发...
  final FTrStr underDevelopment;

  /// 提示
  final FTrStr tip;

  /// 确定
  final FTrStr confirm;

  /// 确 定
  final FTrStr confirm4Btn;

  /// 已提交
  final FTrStr submitted;

  /// 关闭
  final FTrStr close;

  /// 已保存
  final FTrStr alreadySaved;

  /// 添加
  final FTrStr add;

  /// 保存
  final FTrStr save;

  /// 保 存
  final FTrStr save4Btn;

  /// 筛选
  final FTrStr filter;

  /// 验证码
  final FTrStr verificationCode;

  /// 取消
  final FTrStr cancel;

  /// 取 消
  final FTrStr cancel4Btn;

  /// 图片
  final FTrStr image;

  /// 移除
  final FTrStr remove;

  /// 状态
  final FTrStr state;

  /// 全部
  final FTrStr all;

  /// 已选择
  final FTrStr selected;

  /// 未分配
  final FTrStr unDistributed;

  /// 返回
  final FTrStr back;

  /// 撤销
  final FTrStr revoke;

  /// 请选择
  final FTrStr pleaseSelect;

  /// 国家
  final FTrStr country;

  /// 省份
  final FTrStr province;

  /// 城市
  final FTrStr city;

  /// 操作
  final FTrStr operation;

  /// 确定是否移除
  final FTrStr removeNotification;

  /// 编辑
  final FTrStr edit;

  /// 提交
  final FTrStr submit;

  /// 是
  final FTrStr yes;

  /// 否
  final FTrStr no;

  /// 暂无数据，先看看别的吧
  final FTrStr noneDataTip;

  /// 删除
  final FTrStr delete;

  /// 修改
  final FTrStr modify;

  /// 平台默认
  final FTrStr platformDefault;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
