import 'package:fis_i18n/types.dart';

/// 首页模块
class HomePageModule extends ModuleBase {
  HomePageModule._({
    required this.homePage,
    required this.organizationInfo,
    required this.reportTemplate,
    required this.organizationDevices,
    required this.organizationTerm,
    required this.signOut,
    required this.loginOutConfirm,
    required this.loginingOut,
    required this.ultrasoundComments,
    required this.diagnostics,
    required this.course,
    required this.message,
    required this.my,
    required this.notYet,
    required this.messageListener,
    required this.reportOpenVocPage,
    required this.enableMock,
  });

  static const ModuleName = "homePage";

  factory HomePageModule(Map<String, dynamic> map) {
    return HomePageModule._(
      homePage: map.pick("homePage"),
      organizationInfo: map.pick("organizationInfo"),
      reportTemplate: map.pick("reportTemplate"),
      organizationDevices: map.pick("organizationDevices"),
      organizationTerm: map.pick("organizationTerm"),
      signOut: map.pick("signOut"),
      loginOutConfirm: map.pick("loginOutConfirm"),
      loginingOut: map.pick("loginingOut"),
      ultrasoundComments: map.pick("ultrasoundComments"),
      diagnostics: map.pick("diagnostics"),
      course: map.pick("course"),
      message: map.pick("message"),
      my: map.pick("my"),
      notYet: map.pick("notYet"),
      messageListener: map.pick("messageListener"),
      reportOpenVocPage: map.pick("reportOpenVocPage"),
      enableMock: map.pick("enableMock"),
    );
  }

  /// 首页
  final FTrStr homePage;

  /// 机构信息
  final FTrStr organizationInfo;

  /// 报告模板
  final FTrStr reportTemplate;

  /// 机构设备
  final FTrStr organizationDevices;

  /// 机构词条
  final FTrStr organizationTerm;

  /// 退出登录
  final FTrStr signOut;

  /// 确定退出登录？
  final FTrStr loginOutConfirm;

  /// 正在登出...
  final FTrStr loginingOut;

  /// 超声注释
  final FTrStr ultrasoundComments;

  /// 诊断
  final FTrStr diagnostics;

  /// 学园
  final FTrStr course;

  /// 消息
  final FTrStr message;

  /// 我的
  final FTrStr my;

  /// 暂无
  final FTrStr notYet;

  /// 消息监听
  final FTrStr messageListener;

  /// 报告打开词条页面
  final FTrStr reportOpenVocPage;

  /// 启用Mock
  final FTrStr enableMock;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
