import 'package:fis_i18n/types.dart';

/// 测量模块
class MeasureModule extends ModuleBase {
  MeasureModule._({
    required this.measureToolConfig,
    required this.measureToolSelect,
    required this.selectedMeasureTool,
    required this.selectedMeasureToolConfig,
    required this.currentMeasureTool,
    required this.pleaseSelectMeasureMethod,
    required this.pleaseSelectCalculateResultAndUnit,
    required this.pictureQueue,
    required this.toolbox,
    required this.selectMeasureItem,
    required this.style,
    required this.config,
    required this.measureTool,
    required this.annotationTool,
    required this.ruler,
    required this.rulerType,
    required this.rulerSize,
    required this.measureRulerSize,
    required this.resultWindowConfig,
    required this.showResultWindow,
    required this.fontSize,
    required this.display,
    required this.showRulerLine,
    required this.keepMeasureOnImage,
    required this.showDepthMeasureLine,
    required this.showSimpleAnnotation,
    required this.autoAdjustCursor,
    required this.autoCaptureRange,
    required this.annotationFontSize,
    required this.showSubItemResultInMeasureWorkSheet,
    required this.showMeasureAnnotation,
    required this.selectAnnotationFontSize,
    required this.arrow,
    required this.brightness,
    required this.contrast,
    required this.clear,
    required this.fullScreen,
  });

  static const ModuleName = "measure";

  factory MeasureModule(Map<String, dynamic> map) {
    return MeasureModule._(
      measureToolConfig: map.pick("measureToolConfig"),
      measureToolSelect: map.pick("measureToolSelect"),
      selectedMeasureTool: map.pick("selectedMeasureTool"),
      selectedMeasureToolConfig: map.pick("selectedMeasureToolConfig"),
      currentMeasureTool: map.pick("currentMeasureTool"),
      pleaseSelectMeasureMethod: map.pick("pleaseSelectMeasureMethod"),
      pleaseSelectCalculateResultAndUnit:
          map.pick("pleaseSelectCalculateResultAndUnit"),
      pictureQueue: map.pick("pictureQueue"),
      toolbox: map.pick("toolbox"),
      selectMeasureItem: map.pick("selectMeasureItem"),
      style: map.pick("style"),
      config: map.pick("config"),
      measureTool: map.pick("measureTool"),
      annotationTool: map.pick("annotationTool"),
      ruler: map.pick("ruler"),
      rulerType: map.pick("rulerType"),
      rulerSize: map.pick("rulerSize"),
      measureRulerSize: map.pick("measureRulerSize"),
      resultWindowConfig: map.pick("resultWindowConfig"),
      showResultWindow: map.pick("showResultWindow"),
      fontSize: map.pick("fontSize"),
      display: map.pick("display"),
      showRulerLine: map.pick("showRulerLine"),
      keepMeasureOnImage: map.pick("keepMeasureOnImage"),
      showDepthMeasureLine: map.pick("showDepthMeasureLine"),
      showSimpleAnnotation: map.pick("showSimpleAnnotation"),
      autoAdjustCursor: map.pick("autoAdjustCursor"),
      autoCaptureRange: map.pick("autoCaptureRange"),
      annotationFontSize: map.pick("annotationFontSize"),
      showSubItemResultInMeasureWorkSheet:
          map.pick("showSubItemResultInMeasureWorkSheet"),
      showMeasureAnnotation: map.pick("showMeasureAnnotation"),
      selectAnnotationFontSize: map.pick("selectAnnotationFontSize"),
      arrow: map.pick("arrow"),
      brightness: map.pick("brightness"),
      contrast: map.pick("contrast"),
      clear: map.pick("clear"),
      fullScreen: map.pick("fullScreen"),
    );
  }

  /// 测量工具配置
  final FTrStr measureToolConfig;

  /// 测量工具选择
  final FTrStr measureToolSelect;

  /// 已选择的测量工具
  final FTrStr selectedMeasureTool;

  /// 已选测量工具设置
  final FTrStr selectedMeasureToolConfig;

  /// 当前测量工具
  final FTrStr currentMeasureTool;

  /// 请选择测量方法
  final FTrStr pleaseSelectMeasureMethod;

  /// 请选择计算结果和单位
  final FTrStr pleaseSelectCalculateResultAndUnit;

  /// 图像列队
  final FTrStr pictureQueue;

  /// 工具箱
  final FTrStr toolbox;

  /// 选择测量项
  final FTrStr selectMeasureItem;

  /// 样式
  final FTrStr style;

  /// 配置
  final FTrStr config;

  /// 测量工具
  final FTrStr measureTool;

  /// 注释工具
  final FTrStr annotationTool;

  /// 卡尺
  final FTrStr ruler;

  /// 卡尺类型
  final FTrStr rulerType;

  /// 卡尺大小
  final FTrStr rulerSize;

  /// 测量时卡尺大小
  final FTrStr measureRulerSize;

  /// 结果窗口设置
  final FTrStr resultWindowConfig;

  /// 显示结果窗口
  final FTrStr showResultWindow;

  /// 字体大小
  final FTrStr fontSize;

  /// 显示
  final FTrStr display;

  /// 显示卡尺线
  final FTrStr showRulerLine;

  /// 保留测量在图像上
  final FTrStr keepMeasureOnImage;

  /// 显示深度测量线
  final FTrStr showDepthMeasureLine;

  /// 显示简洁注释
  final FTrStr showSimpleAnnotation;

  /// 微距测量自动调整光标
  final FTrStr autoAdjustCursor;

  /// 测量自动捕捉范围
  final FTrStr autoCaptureRange;

  /// 注释字体大小
  final FTrStr annotationFontSize;

  /// 在测量工作表中显示子项结果
  final FTrStr showSubItemResultInMeasureWorkSheet;

  /// 显示测量注释
  final FTrStr showMeasureAnnotation;

  /// 选择注释字体大小
  final FTrStr selectAnnotationFontSize;

  /// 箭头
  final FTrStr arrow;

  /// 亮度
  final FTrStr brightness;

  /// 对比度
  final FTrStr contrast;

  /// 清除
  final FTrStr clear;

  /// 全屏
  final FTrStr fullScreen;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
