import 'package:fis_i18n/types.dart';

/// 组织模块
class OrganizationModule extends ModuleBase {
  OrganizationModule._({
    required this.upperOrg,
    required this.orgName,
    required this.orgLogo,
    required this.serveObj,
    required this.locatedArea,
    required this.avatar,
    required this.nickName,
    required this.positionIdentity,
    required this.workTitle,
    required this.orgNameInputTip,
    required this.areaSelectionTip,
    required this.orgSelectionTip,
    required this.modifyWorkTitle,
    required this.addWorkTitle,
    required this.workTitleName,
    required this.basicInfo,
    required this.orgStructureInfo,
    required this.department,
    required this.orgStructure,
    required this.editOrgStructure,
    required this.addOrgStructure,
    required this.departmentName,
    required this.selectDepartmentTip,
    required this.selectWorkPostIdentify,
    required this.workTitleSelectionTip,
    required this.loadOrgInfoFailedTip,
    required this.selectSuperiorOrg,
    required this.completRegionInfo,
    required this.saveSuccess,
    required this.fullfillOrgInfo,
    required this.fullfillAreaInfo,
    required this.fullfillOrgName,
    required this.deleteOrNot,
    required this.pleaseSelectUserToRemove,
    required this.removing,
    required this.departmentNamePlaceholder,
    required this.pleaseFillInCompletely,
    required this.titleNamePlaceholder,
    required this.messgaeConfirm,
    required this.removeMemberConfirm,
    required this.removeMembersConfirm,
    required this.deleteMemberConfirm,
  });

  static const ModuleName = "organization";

  factory OrganizationModule(Map<String, dynamic> map) {
    return OrganizationModule._(
      upperOrg: map.pick("upperOrg"),
      orgName: map.pick("orgName"),
      orgLogo: map.pick("orgLogo"),
      serveObj: map.pick("serveObj"),
      locatedArea: map.pick("locatedArea"),
      avatar: map.pick("avatar"),
      nickName: map.pick("nickName"),
      positionIdentity: map.pick("positionIdentity"),
      workTitle: map.pick("workTitle"),
      orgNameInputTip: map.pick("orgNameInputTip"),
      areaSelectionTip: map.pick("areaSelectionTip"),
      orgSelectionTip: map.pick("orgSelectionTip"),
      modifyWorkTitle: map.pick("modifyWorkTitle"),
      addWorkTitle: map.pick("addWorkTitle"),
      workTitleName: map.pick("workTitleName"),
      basicInfo: map.pick("basicInfo"),
      orgStructureInfo: map.pick("orgStructureInfo"),
      department: map.pick("department"),
      orgStructure: map.pick("orgStructure"),
      editOrgStructure: map.pick("editOrgStructure"),
      addOrgStructure: map.pick("addOrgStructure"),
      departmentName: map.pick("departmentName"),
      selectDepartmentTip: map.pick("selectDepartmentTip"),
      selectWorkPostIdentify: map.pick("selectWorkPostIdentify"),
      workTitleSelectionTip: map.pick("workTitleSelectionTip"),
      loadOrgInfoFailedTip: map.pick("loadOrgInfoFailedTip"),
      selectSuperiorOrg: map.pick("selectSuperiorOrg"),
      completRegionInfo: map.pick("completRegionInfo"),
      saveSuccess: map.pick("saveSuccess"),
      fullfillOrgInfo: map.pick("fullfillOrgInfo"),
      fullfillAreaInfo: map.pick("fullfillAreaInfo"),
      fullfillOrgName: map.pick("fullfillOrgName"),
      deleteOrNot: map.pick("deleteOrNot"),
      pleaseSelectUserToRemove: map.pick("pleaseSelectUserToRemove"),
      removing: map.pick("removing"),
      departmentNamePlaceholder: map.pick("departmentNamePlaceholder"),
      pleaseFillInCompletely: map.pick("pleaseFillInCompletely"),
      titleNamePlaceholder: map.pick("titleNamePlaceholder"),
      messgaeConfirm: map.pick("messgaeConfirm"),
      removeMemberConfirm: map.pick("removeMemberConfirm "),
      removeMembersConfirm: map.pick("removeMembersConfirm"),
      deleteMemberConfirm: map.pick("deleteMemberConfirm"),
    );
  }

  /// 上级机构
  final FTrStr upperOrg;

  /// 机构名称
  final FTrStr orgName;

  /// 机构标志
  final FTrStr orgLogo;

  /// 服务对象
  final FTrStr serveObj;

  /// 所属地区
  final FTrStr locatedArea;

  /// 头像
  final FTrStr avatar;

  /// 昵称
  final FTrStr nickName;

  /// 岗位身份
  final FTrStr positionIdentity;

  /// 职称
  final FTrStr workTitle;

  /// 请输入机构名
  final FTrStr orgNameInputTip;

  /// 选择地区
  final FTrStr areaSelectionTip;

  /// 选择机构
  final FTrStr orgSelectionTip;

  /// 修改职称
  final FTrStr modifyWorkTitle;

  /// 添加职称
  final FTrStr addWorkTitle;

  /// 职称名称
  final FTrStr workTitleName;

  /// 基础信息
  final FTrStr basicInfo;

  /// 组织架构信息
  final FTrStr orgStructureInfo;

  /// 部门
  final FTrStr department;

  /// 组织架构
  final FTrStr orgStructure;

  /// 修改组织架构
  final FTrStr editOrgStructure;

  /// 添加组织架构
  final FTrStr addOrgStructure;

  /// 部门名称
  final FTrStr departmentName;

  /// 请选择部门
  final FTrStr selectDepartmentTip;

  /// 请选择岗位身份
  final FTrStr selectWorkPostIdentify;

  /// 请选择职称
  final FTrStr workTitleSelectionTip;

  /// 加载组织信息失败！
  final FTrStr loadOrgInfoFailedTip;

  /// 选择上级机构
  final FTrStr selectSuperiorOrg;

  /// 请完善地区信息
  final FTrStr completRegionInfo;

  /// 保存成功
  final FTrStr saveSuccess;

  /// 完善机构信息
  final FTrStr fullfillOrgInfo;

  /// 请完善地区信息
  final FTrStr fullfillAreaInfo;

  /// 请完善机构名称
  final FTrStr fullfillOrgName;

  /// 确定是否移除
  final FTrStr deleteOrNot;

  /// 请选择需要移除的用户
  final FTrStr pleaseSelectUserToRemove;

  /// 移除中
  final FTrStr removing;

  /// 请填写部门名称
  final FTrStr departmentNamePlaceholder;

  /// 请填写完整
  final FTrStr pleaseFillInCompletely;

  /// 请填写职称名称
  final FTrStr titleNamePlaceholder;

  /// 信息确认！
  final FTrStr messgaeConfirm;

  /// 确定将该成员移除本机构吗？
  final FTrStr removeMemberConfirm;

  /// 您已选择{0}名成员,确定从本机构移除吗？
  final FTrStr removeMembersConfirm;

  /// 您已选择${0}名成员，确定将他们移除吗?
  final FTrStr deleteMemberConfirm;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
