import 'package:fis_i18n/types.dart';

/// 完善资料模块
class ProfileCompleteModule extends ModuleBase {
  ProfileCompleteModule._({
    required this.phoneAlreadyBindToAnotherAccount,
    required this.emailAlreadyBindToAnotherAccount,
    required this.nameFieldValidation,
    required this.phoneFormatValidation,
    required this.emailFormatValidation,
    required this.hospitalNamePlaceHolder,
    required this.furtherCompleteProfiles,
    required this.basicInformation,
    required this.realFullNamePlaceHolder,
    required this.phoneNumberPlaceHolder,
    required this.emailPlaceHolder,
    required this.jobInformation,
    required this.areaLocated,
    required this.organizationIn,
    required this.departmentOn,
    required this.departmentPlaceHolder,
    required this.selectAreaTip,
    required this.hospitalFullNameInputTip,
    required this.furtherCompleteProfilesToFindYou,
  });

  static const ModuleName = "profileComplete";

  factory ProfileCompleteModule(Map<String, dynamic> map) {
    return ProfileCompleteModule._(
      phoneAlreadyBindToAnotherAccount:
          map.pick("phoneAlreadyBindToAnotherAccount"),
      emailAlreadyBindToAnotherAccount:
          map.pick("emailAlreadyBindToAnotherAccount"),
      nameFieldValidation: map.pick("nameFieldValidation"),
      phoneFormatValidation: map.pick("phoneFormatValidation"),
      emailFormatValidation: map.pick("emailFormatValidation"),
      hospitalNamePlaceHolder: map.pick("hospitalNamePlaceHolder"),
      furtherCompleteProfiles: map.pick("furtherCompleteProfiles"),
      basicInformation: map.pick("basicInformation"),
      realFullNamePlaceHolder: map.pick("realFullNamePlaceHolder"),
      phoneNumberPlaceHolder: map.pick("phoneNumberPlaceHolder"),
      emailPlaceHolder: map.pick("emailPlaceHolder"),
      jobInformation: map.pick("jobInformation"),
      areaLocated: map.pick("areaLocated"),
      organizationIn: map.pick("organizationIn"),
      departmentOn: map.pick("departmentOn"),
      departmentPlaceHolder: map.pick("departmentPlaceHolder"),
      selectAreaTip: map.pick("selectAreaTip"),
      hospitalFullNameInputTip: map.pick("hospitalFullNameInputTip"),
      furtherCompleteProfilesToFindYou:
          map.pick("furtherCompleteProfilesToFindYou"),
    );
  }

  /// 手机号已绑定其他账号!
  final FTrStr phoneAlreadyBindToAnotherAccount;

  /// 邮箱已绑定其他账号!
  final FTrStr emailAlreadyBindToAnotherAccount;

  /// 请填写姓名
  final FTrStr nameFieldValidation;

  /// 手机号格式错误
  final FTrStr phoneFormatValidation;

  /// 邮箱格式错误
  final FTrStr emailFormatValidation;

  /// 请填写所在医院名称
  final FTrStr hospitalNamePlaceHolder;

  /// 完善个人信息
  final FTrStr furtherCompleteProfiles;

  /// 基本信息
  final FTrStr basicInformation;

  /// 请填写真实姓名
  final FTrStr realFullNamePlaceHolder;

  /// 请输入手机号
  final FTrStr phoneNumberPlaceHolder;

  /// 请输入你的邮箱
  final FTrStr emailPlaceHolder;

  /// 工作信息
  final FTrStr jobInformation;

  /// 所在地区
  final FTrStr areaLocated;

  /// 所在机构
  final FTrStr organizationIn;

  /// 所在部门
  final FTrStr departmentOn;

  /// 请选择所在部门
  final FTrStr departmentPlaceHolder;

  /// 请选择地区
  final FTrStr selectAreaTip;

  /// 请输入你所在的医院全称
  final FTrStr hospitalFullNameInputTip;

  /// 完善信息，方便他人快速找到你
  final FTrStr furtherCompleteProfilesToFindYou;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
