import 'package:fis_i18n/types.dart';

/// 诊断模块
class RemedicalModule extends ModuleBase {
  RemedicalModule._({
    required this.patientName,
    required this.patientFrom,
    required this.ultrasoundReport,
    required this.editThesaurus,
    required this.selfCreatedThesaurus,
    required this.thesaurusNameInputTip,
    required this.defualt,
    required this.organization,
    required this.selfCreated,
    required this.humanAlong,
    required this.beastAlong,
    required this.serveObj,
    required this.useFisDefaultThesaurus,
    required this.createThesaurus,
    required this.description,
    required this.summary,
    required this.creations,
    required this.platFormDefault,
    required this.orgTemplate,
    required this.personalTemplate,
    required this.updateVocCat,
    required this.createVocCat,
    required this.inputCatName,
    required this.categoryName,
    required this.selectUpperCat,
    required this.vocEdit,
    required this.vocAdd,
    required this.vocDetails,
    required this.descriptionInput,
    required this.concolusionInput,
    required this.title,
    required this.message,
    required this.addSuccess,
    required this.addFailed,
    required this.updateVocSuccess,
    required this.updateVocBaseSuccess,
    required this.updateFailed,
    required this.delteVocBaseConfirm,
    required this.deleteVocBaseSuccess,
    required this.deleteFailed,
    required this.deleting,
    required this.deleteOrgVocBaseConrim,
    required this.creatFailed,
    required this.deleteVocConfirm,
    required this.deleteVocSuccess,
    required this.vocabulary,
    required this.importVoc,
    required this.vocBaseName,
    required this.upperCategory,
    required this.selfCreatedVoc,
    required this.createVoc,
    required this.patientNamePlaceholder,
    required this.selectPatientToAssociate,
    required this.associateSuccess,
    required this.associateFail,
    required this.noCheckToHandle,
    required this.export,
    required this.exportSuccess,
    required this.deletePatientSuccess,
    required this.searchPatient,
    required this.createPatient,
    required this.createCase,
    required this.noMore,
    required this.petName,
    required this.ownerPhone,
    required this.otherInfo,
    required this.petId,
    required this.notFill,
    required this.age,
    required this.gender,
    required this.socialSecurityCardId,
    required this.type,
    required this.variety,
    required this.previous,
    required this.next,
    required this.associateCheck,
    required this.associateReport,
    required this.patientDetail,
    required this.caseDetail,
    required this.checkReport,
    required this.checkRecord,
    required this.scanImage,
    required this.associatePatient,
    required this.patientNameToAssociatePlaceholder,
    required this.selectOperation,
    required this.associateCheckToCase,
    required this.moveImage,
    required this.moveImageToCheck,
    required this.time,
    required this.deliveryDevice,
    required this.selectCheck,
    required this.bindPatient,
    required this.cloudImage,
    required this.localImage,
    required this.checkItem,
    required this.checkDoctor,
    required this.viewReport,
    required this.toScan,
    required this.scanned,
    required this.imageUploaded,
    required this.reported,
    required this.notFinished,
    required this.viewDetail,
    required this.recentCheck,
    required this.registered,
    required this.notRegistered,
    required this.idCard,
    required this.createCheck,
    required this.associate,
    required this.transfer,
    required this.years,
    required this.notImplemented,
    required this.check,
    required this.image,
    required this.selectInitTime,
    required this.selectEndTime,
    required this.registerStatus,
    required this.searchContact,
    required this.cloudReport,
    required this.associateImage,
    required this.preview,
    required this.print,
    required this.share,
    required this.creating,
    required this.finishing,
    required this.createSuccess,
    required this.selectDeliveryDevice,
    required this.selectCheckItem,
    required this.select,
    required this.selectTime,
    required this.week,
    required this.day,
    required this.editSuccess,
    required this.writeReport,
    required this.editPatient,
    required this.editCase,
    required this.submitSuccess,
    required this.submitFail,
    required this.defaultText,
    required this.pet,
    required this.auxiliaryConsultation,
    required this.selectTemplate,
    required this.wordSelectBox,
    required this.selectWordLibrary,
    required this.searchKeyword,
    required this.conclusion,
    required this.createWordClass,
    required this.parentClass,
    required this.finishScan,
    required this.noScanImage,
    required this.removePatientConfirm,
    required this.reporter,
    required this.selectVoc,
    required this.hint4patientNotFound,
    required this.scanDate,
    required this.breast,
    required this.liver,
    required this.cholecyst,
    required this.kidney,
    required this.spleen,
    required this.noNeedAIYet,
    required this.didNotHandle,
    required this.didNotIdentify,
    required this.noAbnormal,
    required this.benign,
    required this.malignant,
    required this.benignWithMalignant,
  });

  static const ModuleName = "remedical";

  factory RemedicalModule(Map<String, dynamic> map) {
    return RemedicalModule._(
      patientName: map.pick("patientName"),
      patientFrom: map.pick("patientFrom"),
      ultrasoundReport: map.pick("ultrasoundReport"),
      editThesaurus: map.pick("editThesaurus"),
      selfCreatedThesaurus: map.pick("selfCreatedThesaurus"),
      thesaurusNameInputTip: map.pick("thesaurusNameInputTip"),
      defualt: map.pick("defualt"),
      organization: map.pick("organization"),
      selfCreated: map.pick("selfCreated"),
      humanAlong: map.pick("humanAlong"),
      beastAlong: map.pick("beastAlong"),
      serveObj: map.pick("serveObj"),
      useFisDefaultThesaurus: map.pick("useFisDefaultThesaurus"),
      createThesaurus: map.pick("createThesaurus"),
      description: map.pick("description"),
      summary: map.pick("summary"),
      creations: map.pick("creations"),
      platFormDefault: map.pick("platFormDefault"),
      orgTemplate: map.pick("orgTemplate"),
      personalTemplate: map.pick("personalTemplate"),
      updateVocCat: map.pick("updateVocCat"),
      createVocCat: map.pick("createVocCat"),
      inputCatName: map.pick("inputCatName"),
      categoryName: map.pick("categoryName"),
      selectUpperCat: map.pick("selectUpperCat"),
      vocEdit: map.pick("vocEdit"),
      vocAdd: map.pick("vocAdd"),
      vocDetails: map.pick("vocDetails"),
      descriptionInput: map.pick("descriptionInput"),
      concolusionInput: map.pick("concolusionInput"),
      title: map.pick("title"),
      message: map.pick("message"),
      addSuccess: map.pick("addSuccess"),
      addFailed: map.pick("addFailed"),
      updateVocSuccess: map.pick("updateVocSuccess"),
      updateVocBaseSuccess: map.pick("updateVocBaseSuccess"),
      updateFailed: map.pick("updateFailed"),
      delteVocBaseConfirm: map.pick("delteVocBaseConfirm"),
      deleteVocBaseSuccess: map.pick("deleteVocBaseSuccess"),
      deleteFailed: map.pick("deleteFailed"),
      deleting: map.pick("deleting"),
      deleteOrgVocBaseConrim: map.pick("deleteOrgVocBaseConrim"),
      creatFailed: map.pick("creatFailed"),
      deleteVocConfirm: map.pick("deleteVocConfirm"),
      deleteVocSuccess: map.pick("deleteVocSuccess"),
      vocabulary: map.pick("vocabulary"),
      importVoc: map.pick("importVoc"),
      vocBaseName: map.pick("vocBaseName"),
      upperCategory: map.pick("upperCategory"),
      selfCreatedVoc: map.pick("selfCreatedVoc"),
      createVoc: map.pick("createVoc"),
      patientNamePlaceholder: map.pick("patientNamePlaceholder"),
      selectPatientToAssociate: map.pick("selectPatientToAssociate"),
      associateSuccess: map.pick("associateSuccess"),
      associateFail: map.pick("associateFail"),
      noCheckToHandle: map.pick("noCheckToHandle"),
      export: map.pick("export"),
      exportSuccess: map.pick("exportSuccess"),
      deletePatientSuccess: map.pick("deletePatientSuccess"),
      searchPatient: map.pick("searchPatient"),
      createPatient: map.pick("createPatient"),
      createCase: map.pick("createCase"),
      noMore: map.pick("noMore"),
      petName: map.pick("petName"),
      ownerPhone: map.pick("ownerPhone"),
      otherInfo: map.pick("otherInfo"),
      petId: map.pick("petId"),
      notFill: map.pick("notFill"),
      age: map.pick("age"),
      gender: map.pick("gender"),
      socialSecurityCardId: map.pick("socialSecurityCardId"),
      type: map.pick("type"),
      variety: map.pick("variety"),
      previous: map.pick("previous"),
      next: map.pick("next"),
      associateCheck: map.pick("associateCheck"),
      associateReport: map.pick("associateReport"),
      patientDetail: map.pick("patientDetail"),
      caseDetail: map.pick("caseDetail"),
      checkReport: map.pick("checkReport"),
      checkRecord: map.pick("checkRecord"),
      scanImage: map.pick("scanImage"),
      associatePatient: map.pick("associatePatient"),
      patientNameToAssociatePlaceholder:
          map.pick("patientNameToAssociatePlaceholder"),
      selectOperation: map.pick("selectOperation"),
      associateCheckToCase: map.pick("associateCheckToCase"),
      moveImage: map.pick("moveImage"),
      moveImageToCheck: map.pick("moveImageToCheck"),
      time: map.pick("time"),
      deliveryDevice: map.pick("deliveryDevice"),
      selectCheck: map.pick("selectCheck"),
      bindPatient: map.pick("bindPatient"),
      cloudImage: map.pick("cloudImage"),
      localImage: map.pick("localImage"),
      checkItem: map.pick("checkItem"),
      checkDoctor: map.pick("checkDoctor"),
      viewReport: map.pick("viewReport"),
      toScan: map.pick("toScan"),
      scanned: map.pick("scanned"),
      imageUploaded: map.pick("imageUploaded"),
      reported: map.pick("reported"),
      notFinished: map.pick("notFinished"),
      viewDetail: map.pick("viewDetail"),
      recentCheck: map.pick("recentCheck"),
      registered: map.pick("registered"),
      notRegistered: map.pick("notRegistered"),
      idCard: map.pick("idCard"),
      createCheck: map.pick("createCheck"),
      associate: map.pick("associate"),
      transfer: map.pick("transfer"),
      years: map.pick("years"),
      notImplemented: map.pick("notImplemented"),
      check: map.pick("check"),
      image: map.pick("image"),
      selectInitTime: map.pick("selectInitTime"),
      selectEndTime: map.pick("selectEndTime"),
      registerStatus: map.pick("registerStatus"),
      searchContact: map.pick("searchContact"),
      cloudReport: map.pick("cloudReport"),
      associateImage: map.pick("associateImage"),
      preview: map.pick("preview"),
      print: map.pick("print"),
      share: map.pick("share"),
      creating: map.pick("creating"),
      finishing: map.pick("finishing"),
      createSuccess: map.pick("createSuccess"),
      selectDeliveryDevice: map.pick("selectDeliveryDevice"),
      selectCheckItem: map.pick("selectCheckItem"),
      select: map.pick("select"),
      selectTime: map.pick("selectTime"),
      week: map.pick("week"),
      day: map.pick("day"),
      editSuccess: map.pick("editSuccess"),
      writeReport: map.pick("writeReport"),
      editPatient: map.pick("editPatient"),
      editCase: map.pick("editCase"),
      submitSuccess: map.pick("submitSuccess"),
      submitFail: map.pick("submitFail"),
      defaultText: map.pick("defaultText"),
      pet: map.pick("pet"),
      auxiliaryConsultation: map.pick("auxiliaryConsultation"),
      selectTemplate: map.pick("selectTemplate"),
      wordSelectBox: map.pick("wordSelectBox"),
      selectWordLibrary: map.pick("selectWordLibrary"),
      searchKeyword: map.pick("searchKeyword"),
      conclusion: map.pick("conclusion"),
      createWordClass: map.pick("createWordClass"),
      parentClass: map.pick("parentClass"),
      finishScan: map.pick("finishScan"),
      noScanImage: map.pick("noScanImage"),
      removePatientConfirm: map.pick("removePatientConfirm"),
      reporter: map.pick("reporter"),
      selectVoc: map.pick("selectVoc"),
      hint4patientNotFound: map.pick("hint4patientNotFound"),
      scanDate: map.pick("scanDate"),
      breast: map.pick("breast"),
      liver: map.pick("liver"),
      cholecyst: map.pick("cholecyst"),
      kidney: map.pick("kidney"),
      spleen: map.pick("spleen"),
      noNeedAIYet: map.pick("noNeedAIYet"),
      didNotHandle: map.pick("didNotHandle"),
      didNotIdentify: map.pick("didNotIdentify"),
      noAbnormal: map.pick("noAbnormal"),
      benign: map.pick("benign"),
      malignant: map.pick("malignant"),
      benignWithMalignant: map.pick("benignWithMalignant"),
    );
  }

  /// 病人名
  final FTrStr patientName;

  /// 来自于
  final FTrStr patientFrom;

  /// 超声报告
  final FTrStr ultrasoundReport;

  /// 编辑词条库
  final FTrStr editThesaurus;

  /// 自建词条库
  final FTrStr selfCreatedThesaurus;

  /// 请输入词条库名称
  final FTrStr thesaurusNameInputTip;

  /// 默认
  final FTrStr defualt;

  /// 机构
  final FTrStr organization;

  /// 自建
  final FTrStr selfCreated;

  /// 人用
  final FTrStr humanAlong;

  /// 兽用
  final FTrStr beastAlong;

  /// 服务对象
  final FTrStr serveObj;

  /// 使用杏聆荟词条库模板
  final FTrStr useFisDefaultThesaurus;

  /// 创建词条库
  final FTrStr createThesaurus;

  /// 描述
  final FTrStr description;

  /// 结论
  final FTrStr summary;

  /// 创建方式
  final FTrStr creations;

  /// 平台默认
  final FTrStr platFormDefault;

  /// 机构创建
  final FTrStr orgTemplate;

  /// 自建
  final FTrStr personalTemplate;

  /// 更新词条分类
  final FTrStr updateVocCat;

  /// 创建词条分类
  final FTrStr createVocCat;

  /// 请输入分类名称
  final FTrStr inputCatName;

  /// 分类名称
  final FTrStr categoryName;

  /// 请选择上级分类
  final FTrStr selectUpperCat;

  /// 编辑词条
  final FTrStr vocEdit;

  /// 添加词条
  final FTrStr vocAdd;

  /// 词条详情
  final FTrStr vocDetails;

  /// 请输入描述
  final FTrStr descriptionInput;

  /// 请输入结论
  final FTrStr concolusionInput;

  /// 标题
  final FTrStr title;

  /// 消息
  final FTrStr message;

  /// 添加成功
  final FTrStr addSuccess;

  /// 添加失败
  final FTrStr addFailed;

  /// 更新词条库成功
  final FTrStr updateVocSuccess;

  /// 更新机构词条库成功
  final FTrStr updateVocBaseSuccess;

  /// 更新失败
  final FTrStr updateFailed;

  /// 确定删除该词条库吗？
  final FTrStr delteVocBaseConfirm;

  /// 删除词条库成功
  final FTrStr deleteVocBaseSuccess;

  /// 删除失败！
  final FTrStr deleteFailed;

  /// 正在删除...
  final FTrStr deleting;

  /// 确定删除该机构词条库吗？
  final FTrStr deleteOrgVocBaseConrim;

  /// 创建失败
  final FTrStr creatFailed;

  /// 确定删除该词条吗？
  final FTrStr deleteVocConfirm;

  /// 删除词条成功
  final FTrStr deleteVocSuccess;

  /// 词条
  final FTrStr vocabulary;

  /// 导入词条
  final FTrStr importVoc;

  /// 词条库名称
  final FTrStr vocBaseName;

  /// 上级分类
  final FTrStr upperCategory;

  /// 自定义词条库
  final FTrStr selfCreatedVoc;

  /// 创建词条
  final FTrStr createVoc;

  /// 请输入病人姓名
  final FTrStr patientNamePlaceholder;

  /// 请选择关联的病人
  final FTrStr selectPatientToAssociate;

  /// 关联成功
  final FTrStr associateSuccess;

  /// 关联失败
  final FTrStr associateFail;

  /// 该用户暂无需要处理的检查
  final FTrStr noCheckToHandle;

  /// 导出
  final FTrStr export;

  /// 导出成功
  final FTrStr exportSuccess;

  /// 删除病人成功
  final FTrStr deletePatientSuccess;

  /// 搜索病人
  final FTrStr searchPatient;

  /// 创建病人
  final FTrStr createPatient;

  /// 创建病例
  final FTrStr createCase;

  /// 已经到底了呀
  final FTrStr noMore;

  /// 宠物名
  final FTrStr petName;

  /// 主人手机号
  final FTrStr ownerPhone;

  /// 其他信息
  final FTrStr otherInfo;

  /// 宠物证号
  final FTrStr petId;

  /// 未填写
  final FTrStr notFill;

  /// 年龄
  final FTrStr age;

  /// 性别
  final FTrStr gender;

  /// 社保卡号
  final FTrStr socialSecurityCardId;

  /// 种类
  final FTrStr type;

  /// 品种
  final FTrStr variety;

  /// 上一条
  final FTrStr previous;

  /// 下一条
  final FTrStr next;

  /// 关联检查
  final FTrStr associateCheck;

  /// 关联报告
  final FTrStr associateReport;

  /// 病人详情
  final FTrStr patientDetail;

  /// 病例详情
  final FTrStr caseDetail;

  /// 检查报告
  final FTrStr checkReport;

  /// 检查记录
  final FTrStr checkRecord;

  /// 扫查图像
  final FTrStr scanImage;

  /// 关联病人
  final FTrStr associatePatient;

  /// 请输入病人姓名关联病例
  final FTrStr patientNameToAssociatePlaceholder;

  /// 请选择需要执行的操作
  final FTrStr selectOperation;

  /// 将当前检查关联至该病例名下
  final FTrStr associateCheckToCase;

  /// 迁移图像
  final FTrStr moveImage;

  /// 将扫查图像迁移至该病例已下发的检查中
  final FTrStr moveImageToCheck;

  /// 时间
  final FTrStr time;

  /// 下发设备
  final FTrStr deliveryDevice;

  /// 请选择需关联的检查
  final FTrStr selectCheck;

  /// 绑定病人
  final FTrStr bindPatient;

  /// 云端图像
  final FTrStr cloudImage;

  /// 本地图像
  final FTrStr localImage;

  /// 检查项目
  final FTrStr checkItem;

  /// 检查医生
  final FTrStr checkDoctor;

  /// 查看报告
  final FTrStr viewReport;

  /// 待扫查
  final FTrStr toScan;

  /// 已扫查
  final FTrStr scanned;

  /// 已传图
  final FTrStr imageUploaded;

  /// 已报告
  final FTrStr reported;

  /// 未完成
  final FTrStr notFinished;

  /// 查看详情
  final FTrStr viewDetail;

  /// 近期检查
  final FTrStr recentCheck;

  /// 已登记
  final FTrStr registered;

  /// 未登记
  final FTrStr notRegistered;

  /// 身份证号
  final FTrStr idCard;

  /// 创建检查
  final FTrStr createCheck;

  /// 关联
  final FTrStr associate;

  /// 转诊
  final FTrStr transfer;

  /// 岁
  final FTrStr years;

  /// 尚未实现
  final FTrStr notImplemented;

  /// 检查
  final FTrStr check;

  /// 图像
  final FTrStr image;

  /// 选择初始时间
  final FTrStr selectInitTime;

  /// 选择结束时间
  final FTrStr selectEndTime;

  /// 登记状态
  final FTrStr registerStatus;

  /// 搜索联系人
  final FTrStr searchContact;

  /// 云端报告
  final FTrStr cloudReport;

  /// 关联图像
  final FTrStr associateImage;

  /// 预览
  final FTrStr preview;

  /// 打印
  final FTrStr print;

  /// 分享
  final FTrStr share;

  /// 正在创建...
  final FTrStr creating;

  /// 正在结束...
  final FTrStr finishing;

  /// 创建成功
  final FTrStr createSuccess;

  /// 选择下发设备
  final FTrStr selectDeliveryDevice;

  /// 选择检查项目
  final FTrStr selectCheckItem;

  /// 请选择
  final FTrStr select;

  /// 选择时间
  final FTrStr selectTime;

  /// 周
  final FTrStr week;

  /// 天
  final FTrStr day;

  /// 编辑成功
  final FTrStr editSuccess;

  /// 撰写报告
  final FTrStr writeReport;

  /// 编辑病人
  final FTrStr editPatient;

  /// 编辑病例
  final FTrStr editCase;

  /// 提交成功
  final FTrStr submitSuccess;

  /// 提交失败
  final FTrStr submitFail;

  /// 默认
  final FTrStr defaultText;

  /// 宠物
  final FTrStr pet;

  /// 辅助咨询单
  final FTrStr auxiliaryConsultation;

  /// 选择模板
  final FTrStr selectTemplate;

  /// 词条选择框
  final FTrStr wordSelectBox;

  /// 请选择词条库
  final FTrStr selectWordLibrary;

  /// 搜索关键字
  final FTrStr searchKeyword;

  /// 结论
  final FTrStr conclusion;

  /// 创建词条分类
  final FTrStr createWordClass;

  /// 上级分类
  final FTrStr parentClass;

  /// 是否需结束扫查？
  final FTrStr finishScan;

  /// 该检查无扫查图像！
  final FTrStr noScanImage;

  /// 确定删除该病人吗？
  final FTrStr removePatientConfirm;

  /// 报告人：
  final FTrStr reporter;

  /// 词条库选择：
  final FTrStr selectVoc;

  /// 暂未找到“{0}”，是否以该姓名创建新病例？
  final FTrStr hint4patientNotFound;

  /// 扫查日期：{0}
  final FTrStr scanDate;

  /// 乳腺
  final FTrStr breast;

  /// 肝脏
  final FTrStr liver;

  /// 胆囊
  final FTrStr cholecyst;

  /// 肾脏
  final FTrStr kidney;

  /// 脾脏
  final FTrStr spleen;

  /// 暂无AI诊断要求
  final FTrStr noNeedAIYet;

  /// 未处理
  final FTrStr didNotHandle;

  /// 未识别
  final FTrStr didNotIdentify;

  /// 未见异常
  final FTrStr noAbnormal;

  /// 良性
  final FTrStr benign;

  /// 恶性
  final FTrStr malignant;

  /// 良恶性并存
  final FTrStr benignWithMalignant;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
