import 'package:fis_i18n/types.dart';

/// 设置模块
class SettingModule extends ModuleBase {
  SettingModule._({
    required this.switchingLanguage,
    required this.pleaseFullfillServerUrl,
    required this.pleaseFullfillServerPort,
    required this.serverUrlFormatValidation,
    required this.serverPortFormatValidation,
    required this.serverUrlExistValidation,
    required this.serverUrlNotExistValidation,
    required this.serverUrlNotChangedValidation,
    required this.pleaseSelectOrAddServerUrl,
    required this.serverUrl,
    required this.serverPort,
    required this.serverUrlExample,
    required this.serverPortExample,
  });

  static const ModuleName = "setting";

  factory SettingModule(Map<String, dynamic> map) {
    return SettingModule._(
      switchingLanguage: map.pick("switchingLanguage"),
      pleaseFullfillServerUrl: map.pick("pleaseFullfillServerUrl"),
      pleaseFullfillServerPort: map.pick("pleaseFullfillServerPort"),
      serverUrlFormatValidation: map.pick("serverUrlFormatValidation"),
      serverPortFormatValidation: map.pick("serverPortFormatValidation"),
      serverUrlExistValidation: map.pick("serverUrlExistValidation"),
      serverUrlNotExistValidation: map.pick("serverUrlNotExistValidation"),
      serverUrlNotChangedValidation: map.pick("serverUrlNotChangedValidation"),
      pleaseSelectOrAddServerUrl: map.pick("pleaseSelectOrAddServerUrl"),
      serverUrl: map.pick("serverUrl"),
      serverPort: map.pick("serverPort"),
      serverUrlExample: map.pick("serverUrlExample"),
      serverPortExample: map.pick("serverPortExample"),
    );
  }

  /// 正在切换语言...
  final FTrStr switchingLanguage;

  /// 请填写服务地址
  final FTrStr pleaseFullfillServerUrl;

  /// 请填写端口
  final FTrStr pleaseFullfillServerPort;

  /// 请输入正确的服务器地址
  final FTrStr serverUrlFormatValidation;

  /// 请输入正确的端口
  final FTrStr serverPortFormatValidation;

  /// 此服务地址已存在
  final FTrStr serverUrlExistValidation;

  /// 服务器不存在
  final FTrStr serverUrlNotExistValidation;

  /// 服务器未进行任何更改
  final FTrStr serverUrlNotChangedValidation;

  /// 请选择或添加服务器地址
  final FTrStr pleaseSelectOrAddServerUrl;

  /// 地址：
  final FTrStr serverUrl;

  /// 端口：
  final FTrStr serverPort;

  /// 示例 127.0.0.1
  final FTrStr serverUrlExample;

  /// 示例 8080
  final FTrStr serverPortExample;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
