import 'package:fis_i18n/types.dart';

/// 用户模块
class UserModule extends ModuleBase {
  UserModule._({
    required this.selectIdentityAuth,
    required this.identityToAuth,
    required this.deviceSearch,
    required this.addTemplate,
    required this.defaultTemplate,
    required this.useFlyinsonoTemplate,
    required this.orgTemplate,
    required this.universalHumanTemplate,
    required this.animalTemplate,
    required this.humanTemplate,
    required this.createTemplate,
    required this.equity,
    required this.setPassword,
    required this.inputVerificationCode,
    required this.getVerificationCode,
    required this.inputOriginalPassword,
    required this.originalPassword,
    required this.inputNewPassowrd,
    required this.newPassowrd,
    required this.checkInputAgain,
    required this.passowrdConfirm,
    required this.passowrdTip,
    required this.changedPassword,
    required this.passwordValidation,
    required this.confirmNewPassword,
    required this.inputPasswordAgain,
    required this.newPassowrdCannotBeNull,
    required this.twoPasswordNotSame,
    required this.newPassowrdCannotBeSame,
    required this.verifyCodeCannotBeNull,
    required this.afterXSecondFetchAgain,
    required this.hospitalIn,
    required this.inputHospitalIn,
    required this.departmentIn,
    required this.deviceName,
    required this.inputDeviceName,
    required this.deviceCode,
    required this.inputDeviceCode,
    required this.deviceType,
    required this.autoFillDeviceType,
    required this.deviceModel,
    required this.autoFillDeviceModel,
    required this.deviceAutoShare,
    required this.modifyDeviceInfo,
    required this.addDevice,
    required this.editDevice,
    required this.newDevice,
    required this.userRelated,
    required this.batchOperation,
    required this.online,
    required this.offline,
    required this.shareDevice,
    required this.notOnline,
    required this.verificationStatus,
    required this.refuseReason,
    required this.idCard,
    required this.uploadIdCardFrontSide,
    required this.uploadIdCardReverseSide,
    required this.doctorLicense,
    required this.uploaddoctorLicense,
    required this.verificationApply,
    required this.platformRole,
    required this.skilledArea,
    required this.unApplyment,
    required this.underVerification,
    required this.refused,
    required this.passed,
    required this.editTip,
    required this.useCurrentSelectedRole,
    required this.loadApplymentInfoFailed,
    required this.applymentSubmittedFailed,
    required this.applymentSubmitted,
    required this.uploadIdCardImage,
    required this.uploadIdCardReverseSideVerification,
    required this.uplaodDoctorLicenseImage,
    required this.skilledAreaNullTip,
    required this.frontIdCardInputTip,
    required this.deleteUserSuccess,
    required this.deleteDevice,
    required this.roger,
    required this.fullFillRequirements,
    required this.addDeviceSuccess,
    required this.underDevelopment,
    required this.openState,
    required this.deleting,
    required this.open,
    required this.closed,
    required this.hospitalLocated,
    required this.deviceLive,
    required this.deviceDetails,
    required this.myDevices,
    required this.ulrSoundsMachine,
    required this.sonopost,
    required this.deleteDevices,
    required this.live,
    required this.scannDevices,
    required this.aiApplicationName,
    required this.aiApplication,
    required this.deleteDeviceConfirm,
    required this.operationSuccess,
    required this.updateSuccess,
    required this.updatefailed,
    required this.deleteUserConfirm,
    required this.deleteFailed,
    required this.deviceAlreadyAdded,
    required this.checkItInDeviceList,
    required this.deleteSuccess,
    required this.tagAlready,
    required this.customize,
    required this.notAuthenticated,
    required this.loadApplyInfoFailed,
    required this.avatarUploadSuccess,
    required this.avatarUploadFailed,
    required this.modifySuccess,
    required this.modifyFailed,
    required this.oldPasswordError,
    required this.phoneError,
    required this.emailError,
    required this.notFoundVerifyCode,
    required this.verifyCodeExpired,
    required this.hasSent,
    required this.notCompleteInfo,
    required this.completeInfoBeforeApply,
    required this.toAuthenticate,
    required this.hasAuthenticated,
    required this.setting,
    required this.entry,
    required this.myTemplate,
    required this.personalInfo,
    required this.organizationManage,
    required this.realNameAuthenticationUnlockMoreRights,
    required this.viewAuthentication,
    required this.realNameAuthentication,
    required this.entryLibrary,
    required this.submit,
    required this.inputVerifyCode,
    required this.inputOldPassword,
    required this.user,
    required this.coverImage,
    required this.pleaseUploadIdCardFrontImage,
    required this.pleaseSelectOrInputSkilledField,
    required this.getUserInfoFailed,
    required this.requiredFieldsCannotBeEmpty,
    required this.saveSuccess,
    required this.saveFailed,
    required this.changeName,
    required this.changePhone,
    required this.changeEmail,
    required this.changeOrganization,
    required this.currentHasChangedInfoNotSave,
    required this.toSave,
    required this.leave,
    required this.completeAccountInfo,
    required this.pleaseInputName,
    required this.pleaseInputEmail,
    required this.pleaseInputNewPhone,
    required this.pleaseInputNewEmail,
    required this.sendVerifyCodeSuccess,
    required this.pleaseInputCorrectPhoneOrEmail,
    required this.getOrganizationFailed,
    required this.getObjectFailed,
    required this.operationFailed,
    required this.phoneFormError,
    required this.emailFormError,
    required this.selectOrgFirst,
    required this.noDepartmentInfo,
    required this.continueToFinishConfirm,
    required this.phoneNumberUsed,
    required this.emailUsed,
    required this.deviceUsed,
    required this.deviceShared,
    required this.editOrgConfirm,
  });

  static const ModuleName = "user";

  factory UserModule(Map<String, dynamic> map) {
    return UserModule._(
      selectIdentityAuth: map.pick("selectIdentityAuth"),
      identityToAuth: map.pick("identityToAuth"),
      deviceSearch: map.pick("deviceSearch"),
      addTemplate: map.pick("addTemplate"),
      defaultTemplate: map.pick("defaultTemplate"),
      useFlyinsonoTemplate: map.pick("useFlyinsonoTemplate"),
      orgTemplate: map.pick("orgTemplate"),
      universalHumanTemplate: map.pick("universalHumanTemplate"),
      animalTemplate: map.pick("animalTemplate"),
      humanTemplate: map.pick("humanTemplate"),
      createTemplate: map.pick("createTemplate"),
      equity: map.pick("equity"),
      setPassword: map.pick("setPassword"),
      inputVerificationCode: map.pick("inputVerificationCode"),
      getVerificationCode: map.pick("getVerificationCode"),
      inputOriginalPassword: map.pick("inputOriginalPassword"),
      originalPassword: map.pick("originalPassword"),
      inputNewPassowrd: map.pick("inputNewPassowrd"),
      newPassowrd: map.pick("newPassowrd"),
      checkInputAgain: map.pick("checkInputAgain"),
      passowrdConfirm: map.pick("passowrdConfirm"),
      passowrdTip: map.pick("passowrdTip"),
      changedPassword: map.pick("changedPassword"),
      passwordValidation: map.pick("passwordValidation"),
      confirmNewPassword: map.pick("confirmNewPassword"),
      inputPasswordAgain: map.pick("inputPasswordAgain"),
      newPassowrdCannotBeNull: map.pick("newPassowrdCannotBeNull"),
      twoPasswordNotSame: map.pick("twoPasswordNotSame"),
      newPassowrdCannotBeSame: map.pick("newPassowrdCannotBeSame"),
      verifyCodeCannotBeNull: map.pick("verifyCodeCannotBeNull"),
      afterXSecondFetchAgain: map.pick("afterXSecondFetchAgain"),
      hospitalIn: map.pick("hospitalIn"),
      inputHospitalIn: map.pick("inputHospitalIn"),
      departmentIn: map.pick("departmentIn"),
      deviceName: map.pick("deviceName"),
      inputDeviceName: map.pick("inputDeviceName"),
      deviceCode: map.pick("deviceCode"),
      inputDeviceCode: map.pick("inputDeviceCode"),
      deviceType: map.pick("deviceType"),
      autoFillDeviceType: map.pick("autoFillDeviceType"),
      deviceModel: map.pick("deviceModel"),
      autoFillDeviceModel: map.pick("autoFillDeviceModel"),
      deviceAutoShare: map.pick("deviceAutoShare"),
      modifyDeviceInfo: map.pick("modifyDeviceInfo"),
      addDevice: map.pick("addDevice"),
      editDevice: map.pick("editDevice"),
      newDevice: map.pick("newDevice"),
      userRelated: map.pick("userRelated"),
      batchOperation: map.pick("batchOperation"),
      online: map.pick("online"),
      offline: map.pick("offline"),
      shareDevice: map.pick("shareDevice"),
      notOnline: map.pick("notOnline"),
      verificationStatus: map.pick("verificationStatus"),
      refuseReason: map.pick("refuseReason"),
      idCard: map.pick("idCard"),
      uploadIdCardFrontSide: map.pick("uploadIdCardFrontSide"),
      uploadIdCardReverseSide: map.pick("uploadIdCardReverseSide"),
      doctorLicense: map.pick("doctorLicense"),
      uploaddoctorLicense: map.pick("uploaddoctorLicense"),
      verificationApply: map.pick("verificationApply"),
      platformRole: map.pick("platformRole"),
      skilledArea: map.pick("skilledArea"),
      unApplyment: map.pick("unApplyment"),
      underVerification: map.pick("underVerification"),
      refused: map.pick("refused"),
      passed: map.pick("passed"),
      editTip: map.pick("editTip"),
      useCurrentSelectedRole: map.pick("useCurrentSelectedRole"),
      loadApplymentInfoFailed: map.pick("loadApplymentInfoFailed"),
      applymentSubmittedFailed: map.pick("applymentSubmittedFailed"),
      applymentSubmitted: map.pick("applymentSubmitted"),
      uploadIdCardImage: map.pick("uploadIdCardImage"),
      uploadIdCardReverseSideVerification:
          map.pick("uploadIdCardReverseSideVerification"),
      uplaodDoctorLicenseImage: map.pick("uplaodDoctorLicenseImage"),
      skilledAreaNullTip: map.pick("skilledAreaNullTip"),
      frontIdCardInputTip: map.pick("frontIdCardInputTip"),
      deleteUserSuccess: map.pick("deleteUserSuccess"),
      deleteDevice: map.pick("deleteDevice"),
      roger: map.pick("roger"),
      fullFillRequirements: map.pick("fullFillRequirements"),
      addDeviceSuccess: map.pick("addDeviceSuccess"),
      underDevelopment: map.pick("underDevelopment"),
      openState: map.pick("openState"),
      deleting: map.pick("deleting"),
      open: map.pick("open"),
      closed: map.pick("closed"),
      hospitalLocated: map.pick("hospitalLocated"),
      deviceLive: map.pick("deviceLive"),
      deviceDetails: map.pick("deviceDetails"),
      myDevices: map.pick("myDevices"),
      ulrSoundsMachine: map.pick("ulrSoundsMachine"),
      sonopost: map.pick("sonopost"),
      deleteDevices: map.pick("deleteDevices"),
      live: map.pick("live"),
      scannDevices: map.pick("scannDevices"),
      aiApplicationName: map.pick("aiApplicationName"),
      aiApplication: map.pick("aiApplication"),
      deleteDeviceConfirm: map.pick("deleteDeviceConfirm"),
      operationSuccess: map.pick("operationSuccess"),
      updateSuccess: map.pick("updateSuccess"),
      updatefailed: map.pick("updatefailed"),
      deleteUserConfirm: map.pick("deleteUserConfirm"),
      deleteFailed: map.pick("deleteFailed"),
      deviceAlreadyAdded: map.pick("deviceAlreadyAdded"),
      checkItInDeviceList: map.pick("checkItInDeviceList"),
      deleteSuccess: map.pick("deleteSuccess"),
      tagAlready: map.pick("tagAlready"),
      customize: map.pick("customize"),
      notAuthenticated: map.pick("notAuthenticated"),
      loadApplyInfoFailed: map.pick("loadApplyInfoFailed"),
      avatarUploadSuccess: map.pick("avatarUploadSuccess"),
      avatarUploadFailed: map.pick("avatarUploadFailed"),
      modifySuccess: map.pick("modifySuccess"),
      modifyFailed: map.pick("modifyFailed"),
      oldPasswordError: map.pick("oldPasswordError"),
      phoneError: map.pick("phoneError"),
      emailError: map.pick("emailError"),
      notFoundVerifyCode: map.pick("notFoundVerifyCode"),
      verifyCodeExpired: map.pick("verifyCodeExpired"),
      hasSent: map.pick("hasSent"),
      notCompleteInfo: map.pick("notCompleteInfo"),
      completeInfoBeforeApply: map.pick("completeInfoBeforeApply"),
      toAuthenticate: map.pick("toAuthenticate"),
      hasAuthenticated: map.pick("hasAuthenticated"),
      setting: map.pick("setting"),
      entry: map.pick("entry"),
      myTemplate: map.pick("myTemplate"),
      personalInfo: map.pick("personalInfo"),
      organizationManage: map.pick("organizationManage"),
      realNameAuthenticationUnlockMoreRights:
          map.pick("realNameAuthenticationUnlockMoreRights"),
      viewAuthentication: map.pick("viewAuthentication"),
      realNameAuthentication: map.pick("realNameAuthentication"),
      entryLibrary: map.pick("entryLibrary"),
      submit: map.pick("submit"),
      inputVerifyCode: map.pick("inputVerifyCode"),
      inputOldPassword: map.pick("inputOldPassword"),
      user: map.pick("user"),
      coverImage: map.pick("coverImage"),
      pleaseUploadIdCardFrontImage: map.pick("pleaseUploadIdCardFrontImage"),
      pleaseSelectOrInputSkilledField:
          map.pick("pleaseSelectOrInputSkilledField"),
      getUserInfoFailed: map.pick("getUserInfoFailed"),
      requiredFieldsCannotBeEmpty: map.pick("requiredFieldsCannotBeEmpty"),
      saveSuccess: map.pick("saveSuccess"),
      saveFailed: map.pick("saveFailed"),
      changeName: map.pick("changeName"),
      changePhone: map.pick("changePhone"),
      changeEmail: map.pick("changeEmail"),
      changeOrganization: map.pick("changeOrganization"),
      currentHasChangedInfoNotSave: map.pick("currentHasChangedInfoNotSave"),
      toSave: map.pick("toSave"),
      leave: map.pick("leave"),
      completeAccountInfo: map.pick("completeAccountInfo"),
      pleaseInputName: map.pick("pleaseInputName"),
      pleaseInputEmail: map.pick("pleaseInputEmail"),
      pleaseInputNewPhone: map.pick("pleaseInputNewPhone"),
      pleaseInputNewEmail: map.pick("pleaseInputNewEmail"),
      sendVerifyCodeSuccess: map.pick("sendVerifyCodeSuccess"),
      pleaseInputCorrectPhoneOrEmail:
          map.pick("pleaseInputCorrectPhoneOrEmail"),
      getOrganizationFailed: map.pick("getOrganizationFailed"),
      getObjectFailed: map.pick("getObjectFailed"),
      operationFailed: map.pick("operationFailed"),
      phoneFormError: map.pick("phoneFormError"),
      emailFormError: map.pick("emailFormError"),
      selectOrgFirst: map.pick("selectOrgFirst"),
      noDepartmentInfo: map.pick("noDepartmentInfo"),
      continueToFinishConfirm: map.pick("continueToFinishConfirm"),
      phoneNumberUsed: map.pick("phoneNumberUsed"),
      emailUsed: map.pick("emailUsed"),
      deviceUsed: map.pick("deviceUsed"),
      deviceShared: map.pick("deviceShared"),
      editOrgConfirm: map.pick("editOrgConfirm"),
    );
  }

  /// 选择身份认证
  final FTrStr selectIdentityAuth;

  /// 请选择要认证的身份
  final FTrStr identityToAuth;

  /// 设备查询
  final FTrStr deviceSearch;

  /// 添加模板
  final FTrStr addTemplate;

  /// 默认模板
  final FTrStr defaultTemplate;

  /// 使用杏聆荟报告模板
  final FTrStr useFlyinsonoTemplate;

  /// 机构模板
  final FTrStr orgTemplate;

  /// 人用超声报告通用型模板
  final FTrStr universalHumanTemplate;

  /// 兽用超声报告经典模板
  final FTrStr animalTemplate;

  /// 人用超声报告经典模板
  final FTrStr humanTemplate;

  /// 创建模板
  final FTrStr createTemplate;

  /// 权益
  final FTrStr equity;

  /// 设置密码
  final FTrStr setPassword;

  /// 请输入验证码
  final FTrStr inputVerificationCode;

  /// 获取验证码
  final FTrStr getVerificationCode;

  /// 填写原密码
  final FTrStr inputOriginalPassword;

  /// 原密码
  final FTrStr originalPassword;

  /// 填写新密码
  final FTrStr inputNewPassowrd;

  /// 新密码
  final FTrStr newPassowrd;

  /// 再次填写确认
  final FTrStr checkInputAgain;

  /// 确认密码
  final FTrStr passowrdConfirm;

  /// 密码必须是6位数及以上英文字母、数字的组合（不能全是数字或字母）
  final FTrStr passowrdTip;

  /// 修改密码
  final FTrStr changedPassword;

  /// 至少6个字符，不能全是数字或字母
  final FTrStr passwordValidation;

  /// 确认新密码
  final FTrStr confirmNewPassword;

  /// 请再次输入密码
  final FTrStr inputPasswordAgain;

  /// 新密码不可为空！
  final FTrStr newPassowrdCannotBeNull;

  /// 两次输入的密码不一致！
  final FTrStr twoPasswordNotSame;

  /// 新密码不可与原密码相同！
  final FTrStr newPassowrdCannotBeSame;

  /// 验证码不可为空！
  final FTrStr verifyCodeCannotBeNull;

  /// {0}秒后重新获取
  final FTrStr afterXSecondFetchAgain;

  /// 所在医院
  final FTrStr hospitalIn;

  /// 请输入所在医院
  final FTrStr inputHospitalIn;

  /// 所属部门
  final FTrStr departmentIn;

  /// 设备名称
  final FTrStr deviceName;

  /// 请输入设备名称
  final FTrStr inputDeviceName;

  /// 设备编码
  final FTrStr deviceCode;

  /// 请输入设备编码
  final FTrStr inputDeviceCode;

  /// 设备类型
  final FTrStr deviceType;

  /// 自动回填设备类型
  final FTrStr autoFillDeviceType;

  /// 设备型号
  final FTrStr deviceModel;

  /// 自动回填设备型号
  final FTrStr autoFillDeviceModel;

  /// 设备自动分享
  final FTrStr deviceAutoShare;

  /// 修改设备信息
  final FTrStr modifyDeviceInfo;

  /// 添加设备
  final FTrStr addDevice;

  /// 编辑设备
  final FTrStr editDevice;

  /// 新增设备
  final FTrStr newDevice;

  /// 关联用户
  final FTrStr userRelated;

  /// 批量操作
  final FTrStr batchOperation;

  /// 在线
  final FTrStr online;

  /// 离线
  final FTrStr offline;

  /// 分享设备
  final FTrStr shareDevice;

  /// 不在线
  final FTrStr notOnline;

  /// 审核状态
  final FTrStr verificationStatus;

  /// 拒绝原因
  final FTrStr refuseReason;

  /// 身份证
  final FTrStr idCard;

  /// 上传身份证正面
  final FTrStr uploadIdCardFrontSide;

  /// 上传身份证反面
  final FTrStr uploadIdCardReverseSide;

  /// 医师执照
  final FTrStr doctorLicense;

  /// 上传医师执照
  final FTrStr uploaddoctorLicense;

  /// 认证申请
  final FTrStr verificationApply;

  /// 平台角色
  final FTrStr platformRole;

  /// 擅长领域
  final FTrStr skilledArea;

  /// 未申请
  final FTrStr unApplyment;

  /// 待审核
  final FTrStr underVerification;

  /// 已拒绝
  final FTrStr refused;

  /// 已通过
  final FTrStr passed;

  /// 修改提示
  final FTrStr editTip;

  /// 是否使用当前已选角色
  final FTrStr useCurrentSelectedRole;

  /// 加载申请信息失败
  final FTrStr loadApplymentInfoFailed;

  /// 申请提交失败
  final FTrStr applymentSubmittedFailed;

  /// 申请已提交
  final FTrStr applymentSubmitted;

  /// 请上传身份证照片
  final FTrStr uploadIdCardImage;

  /// 请上传身份证背面照片
  final FTrStr uploadIdCardReverseSideVerification;

  /// 请上传医师执照照片
  final FTrStr uplaodDoctorLicenseImage;

  /// 请选择或输入擅长领域
  final FTrStr skilledAreaNullTip;

  /// 请上传身份证正面照片
  final FTrStr frontIdCardInputTip;

  /// 移除用户成功
  final FTrStr deleteUserSuccess;

  /// 移除设备
  final FTrStr deleteDevice;

  /// 我知道了
  final FTrStr roger;

  /// 请先完成必填项
  final FTrStr fullFillRequirements;

  /// 新增设备成功
  final FTrStr addDeviceSuccess;

  /// 尚未开发
  final FTrStr underDevelopment;

  /// 启用状态
  final FTrStr openState;

  /// 正在移除
  final FTrStr deleting;

  /// 已开启
  final FTrStr open;

  /// 已关闭
  final FTrStr closed;

  /// 所属医院
  final FTrStr hospitalLocated;

  /// 设备直播
  final FTrStr deviceLive;

  /// 设备详情
  final FTrStr deviceDetails;

  /// 我的设备
  final FTrStr myDevices;

  /// 超声机
  final FTrStr ulrSoundsMachine;

  /// 魔盒
  final FTrStr sonopost;

  /// 删除设备
  final FTrStr deleteDevices;

  /// 直播
  final FTrStr live;

  /// 扫描设备
  final FTrStr scannDevices;

  /// AI应用名称
  final FTrStr aiApplicationName;

  /// AI应用
  final FTrStr aiApplication;

  /// 确定移除此设备？
  final FTrStr deleteDeviceConfirm;

  /// 操作成功！
  final FTrStr operationSuccess;

  /// 更新成功！
  final FTrStr updateSuccess;

  /// 更新失败！
  final FTrStr updatefailed;

  /// 确定移除这些用户吗？
  final FTrStr deleteUserConfirm;

  /// 移除失败
  final FTrStr deleteFailed;

  /// 您已添加该设备
  final FTrStr deviceAlreadyAdded;

  /// 请在设备列表中查看
  final FTrStr checkItInDeviceList;

  /// 移除成功
  final FTrStr deleteSuccess;

  /// 此标签已存在！
  final FTrStr tagAlready;

  /// 自定义
  final FTrStr customize;

  /// 未认证
  final FTrStr notAuthenticated;

  /// 加载申请信息失败
  final FTrStr loadApplyInfoFailed;

  /// 头像上传成功
  final FTrStr avatarUploadSuccess;

  /// 头像上传失败
  final FTrStr avatarUploadFailed;

  /// 修改成功
  final FTrStr modifySuccess;

  /// 修改失败
  final FTrStr modifyFailed;

  /// 原密码不正确
  final FTrStr oldPasswordError;

  /// 手机账号错误
  final FTrStr phoneError;

  /// 邮箱账号错误
  final FTrStr emailError;

  /// 未找到验证码
  final FTrStr notFoundVerifyCode;

  /// 验证码过期
  final FTrStr verifyCodeExpired;

  /// 已发送
  final FTrStr hasSent;

  /// 您尚未完善个人信息
  final FTrStr notCompleteInfo;

  /// 请先完善个人信息再申请实名认证
  final FTrStr completeInfoBeforeApply;

  /// 去认证
  final FTrStr toAuthenticate;

  /// 已认证
  final FTrStr hasAuthenticated;

  /// 设置
  final FTrStr setting;

  /// 词条
  final FTrStr entry;

  /// 我的模板
  final FTrStr myTemplate;

  /// 个人信息
  final FTrStr personalInfo;

  /// 机构管理
  final FTrStr organizationManage;

  /// 实名认证可解锁更多权益
  final FTrStr realNameAuthenticationUnlockMoreRights;

  /// 查看认证
  final FTrStr viewAuthentication;

  /// 实名认证
  final FTrStr realNameAuthentication;

  /// 词条库
  final FTrStr entryLibrary;

  /// 提交
  final FTrStr submit;

  /// 输入验证码
  final FTrStr inputVerifyCode;

  /// 输入原密码
  final FTrStr inputOldPassword;

  /// 用户
  final FTrStr user;

  /// 封面图片
  final FTrStr coverImage;

  /// 请上传身份证正面照片
  final FTrStr pleaseUploadIdCardFrontImage;

  /// 请选择或输入擅长领域
  final FTrStr pleaseSelectOrInputSkilledField;

  /// 获取用户信息失败
  final FTrStr getUserInfoFailed;

  /// 必填项不能为空
  final FTrStr requiredFieldsCannotBeEmpty;

  /// 保存成功
  final FTrStr saveSuccess;

  /// 保存失败
  final FTrStr saveFailed;

  /// 更改姓名
  final FTrStr changeName;

  /// 更改手机号
  final FTrStr changePhone;

  /// 更改邮箱
  final FTrStr changeEmail;

  /// 修改机构
  final FTrStr changeOrganization;

  /// 当前有已修改信息未保存
  final FTrStr currentHasChangedInfoNotSave;

  /// 去保存
  final FTrStr toSave;

  /// 离开
  final FTrStr leave;

  /// 完善账号信息
  final FTrStr completeAccountInfo;

  /// 请输入姓名
  final FTrStr pleaseInputName;

  /// 请输入邮箱
  final FTrStr pleaseInputEmail;

  /// 请输入新手机号
  final FTrStr pleaseInputNewPhone;

  /// 请输入新邮箱
  final FTrStr pleaseInputNewEmail;

  /// 发送验证码成功
  final FTrStr sendVerifyCodeSuccess;

  /// 请输入正确的手机号码或邮箱
  final FTrStr pleaseInputCorrectPhoneOrEmail;

  /// 找不到该机构
  final FTrStr getOrganizationFailed;

  /// 找不到该项目
  final FTrStr getObjectFailed;

  /// 操作失败
  final FTrStr operationFailed;

  /// 手机号码格式错误！
  final FTrStr phoneFormError;

  /// 邮箱格式错误！
  final FTrStr emailFormError;

  /// 请先选择所在机构！
  final FTrStr selectOrgFirst;

  /// 暂无部门信息！
  final FTrStr noDepartmentInfo;

  /// 是否继续完善信息？
  final FTrStr continueToFinishConfirm;

  /// 手机号码已被其他用户绑定！
  final FTrStr phoneNumberUsed;

  /// 邮箱已被其他用户绑定！
  final FTrStr emailUsed;

  /// 该设备已经绑定过其他机构！请联系管理员解绑。
  final FTrStr deviceUsed;

  /// 当前设备已分享{0}个用户，请先移除用户并将设备数据上传至云服务或导出再移除！
  final FTrStr deviceShared;

  /// 修改所在机构将失去当前所在机构的角色权限及其业务数据，确定修改吗？
  final FTrStr editOrgConfirm;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
