import 'dart:ui';
import 'package:fis_i18n/i18n.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  test('test - type: FTrStr', () {
    final text = "My name is {0}, i'm {1} years old.";
    print('xx');
    print(FTrStr(text));
    print(FTrStr(text).runtimeType);
    print(FTrStr(text).t);
    print(FTrStr(text).t.runtimeType);
    print(FTrStr(text).translate());
    print(FTrStr(text).translate(['jack']));
    print(FTrStr(text).translate(['jack', 18]));
  });

  test('test - Load from json text', () async {
    TestWidgetsFlutterBinding.ensureInitialized();
    final book = await FTrKeybookOption.ChineseOption.builder();
    print(book.auth.login.t);
    print(book.common.versionNumber.translate(['1.2.11']));
  });
  test('test - init FI18n', () async {
    TestWidgetsFlutterBinding.ensureInitialized();
    var bookOptions = [
      FTrKeybookOption.ChineseOption,
      FTrKeybookOption.EnglishOption
    ];
    await FI18n.init((loacle) => {}, bookOptions);
  });

  test('test - switch language', () async {
    final curLocale = Locale("zh", "CN");
    final anotherLocale = Locale("en", "US");
    await FI18n.load(curLocale);
    print(i18nBook.auth.login.t);
    print(i18nBook.common.versionNumber.translate(['1.2.11']));
    final matchLocale = await FI18n.ins.switchLanguage(anotherLocale);
    print(" ***Locale change to $matchLocale *** ");
    print(i18nBook.auth.login.t);
    print(i18nBook.common.versionNumber.translate(['1.2.11']));
  });
  test('test - input value', () async {
    final curLocale = Locale("zh", "CN");
    await FI18n.load(curLocale);
    print(i18nBook.organization.removeMemberConfirm.t);
    print(i18nBook.organization.removeMembersConfirm.translate([4]));
  });

  // test("test - Dynamic query form keybook", () {
  //   final book = FTrKeybook(Locale("zh"), {
  //     AuthModule.ModuleName: {
  //       "login": "登录啦啦啦啦",
  //       "signUp": "",
  //       "account": "",
  //     },
  //   });
  //   final findModule = book.getProp("auth") as ModuleBase;
  //   print(findModule.getProp("login"));
  //   print(findModule.getProp("testxxx"));
  // });
}
